Bug 1255811 - [fix available] Calc: Random Number generator can't be edited and applied for cell location
Summary: [fix available] Calc: Random Number generator can't be edited and applied for...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libreoffice
Version: 7.2
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: rc
: ---
Assignee: Eike Rathke
QA Contact: Desktop QE
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-08-21 15:38 UTC by Bill Sanford
Modified: 2016-11-03 19:01 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-11-03 19:01:25 UTC


Attachments (Terms of Use)
This is the original selection with the mouse (284.23 KB, image/png)
2015-08-21 15:39 UTC, Bill Sanford
no flags Details
This is the edited dialog box using the keyboard and editing the cell value (292.90 KB, image/png)
2015-08-21 15:40 UTC, Bill Sanford
no flags Details
This shows that the cells are filled in, despite what the dialog box says. (324.02 KB, image/png)
2015-08-21 15:41 UTC, Bill Sanford
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2579 normal SHIPPED_LIVE Moderate: libreoffice security, bug fix, and enhancement update 2016-11-03 12:07:37 UTC

Description Bill Sanford 2015-08-21 15:38:09 UTC
Description of problem:
The Random Number Generator dialog box only sees what the mouse selects on the spreadsheet and ignores manual input for a cell range. 

Edit -> Fill -> Random Number, I selected $C$1:$H$25 as a range with my mouse. I then edited the range by replacing $C$1 with $A$1. When I click apply, the random numbers are only filled out in $C$1:$H$25 when clearly, the dialog box has $A$1:$H$25.

I will attach the screen captures of what I witnessed.

Version-Release number of selected component (if applicable):
RHEL-7.2-20150817.n.2
libreoffice-4.3.7.2-5.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1. See Above
2.
3.

Actual results:
Filling in random numbers in original cells from mouse swipe.

Expected results:
Filling in random numbers in edited cells from keyboard editing.

Additional info:

Comment 3 Bill Sanford 2015-08-21 15:39:22 UTC
Created attachment 1065632 [details]
This is the original selection with the mouse

Comment 4 Bill Sanford 2015-08-21 15:40:24 UTC
Created attachment 1065633 [details]
This is the edited dialog box using the keyboard and editing the cell value

Comment 5 Bill Sanford 2015-08-21 15:41:44 UTC
Created attachment 1065634 [details]
This shows that the cells are filled in, despite what the dialog box says.

Comment 6 Eike Rathke 2015-08-25 12:33:36 UTC
I'm investigating.

Comment 9 Bill Sanford 2016-09-01 16:06:34 UTC
Verified

RHEL-7.3-20160901.1
libreoffice-5.0.6.2-3.el7.x86_64

Comment 11 errata-xmlrpc 2016-11-03 19:01:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2579.html


Note You need to log in before you can comment on or make changes to this bug.